> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get enrichment results for an end user

> Get all latest enrichment results for a given end user by their Heron ID.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_enrichers/{end_user_heron_id}/enricher_results
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_enrichers/{end_user_heron_id}/enricher_results:
    get:
      tags:
        - EndUserEnrichers
      summary: Get enrichment results for an end user
      description: >
        Get all latest enrichment results for a given end user by their Heron
        ID.
      parameters:
        - in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EnricherResultSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EnricherResultSchema:
      properties:
        enriched_at:
          format: date-time
          type: string
        enricher_name:
          type: string
        result:
          additionalProperties: {}
          type: object
        status:
          enum:
            - succeeded
            - failed
            - processing
            - missing_input_data
          type: string
      required:
        - enriched_at
        - enricher_name
        - status
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````